Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "6d5b467a-d513-45ab-8bb8-0044da881772",
  "date_start": "2026-10-23T21:58:34.5823483+00:00",
  "date_end": "2026-10-23T21:58:34.5823483+00:00",
  "modified_dateutc": "2026-10-23T21:58:34.5823483+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "c0bf1236-f1d2-4a42-a8be-d3e3c0fa158a",
  "user_code": "sample string 8",
  "user": {
    "id": "f72a4c14-7070-4a2b-928c-26c43009ab6b",
    "db_language_id": "20c2cbe7-7b12-4ce6-899a-c8a2f797ece1",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-23T21:58:34.5823483+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "42903087-d8f5-4221-8173-9a7cc0d0abc0",
    "sales_organization": {
      "id": "f743a570-7708-40cf-9a73-e57f3f8bc8eb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "64012bd3-fcee-4704-8282-ec249a31b99e",
      "db_currency_id": "3ec4d1db-4516-46a4-9003-0782b48aca31",
      "db_language_id": "33831e58-6820-4465-b3e7-1483f3e2fa47",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-23T21:58:34.5823483+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "1f885e3a-be7a-4cb5-8e75-21ed5894cf26",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "4a503b4a-8d0a-41a2-8e38-c5ed70583479",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-23T21:58:34.6000247+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "3d095f0c-d53c-4888-b8db-71077bf24e6a"
  },
  "user_unavailability_type_id": "2a20d9c6-e5fe-4a7a-83d1-8b39e96c33b7",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "e0e0e772-4941-493d-af73-9c60a371de46",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "2874249c-7171-4399-971b-75accc9f341c",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "f743a570-7708-40cf-9a73-e57f3f8bc8eb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "64012bd3-fcee-4704-8282-ec249a31b99e",
      "db_currency_id": "3ec4d1db-4516-46a4-9003-0782b48aca31",
      "db_language_id": "33831e58-6820-4465-b3e7-1483f3e2fa47",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-23T21:58:34.5823483+00:00"
    },
    "modified_dateutc": "2026-10-23T21:58:34.6000247+00:00"
  }
}